﻿
$ErrorActionPreference = 'Stop';

$packageName= 'dotnetcore-sdk'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.visualstudio.microsoft.com/download/pr/3566ffc0-fb0f-447c-b300-4e98571d75a7/e2b953ef55235cf86a4b1128d6a3699c/dotnet-sdk-3.0.100-preview9-014004-win-x86.exe'
$checksum   = '3E28E3B7D388B3CBCB122C2FF6690065A29C2A9DBE826AB9E51F87EEF6A7843BD31B61503B61C1F0BE2F3764D5921931202AFBF2ED16241A377DCFD3572EDD87'
$url64      = 'https://download.visualstudio.microsoft.com/download/pr/27e21201-9d9d-49c9-a80e-fe09a7859c06/26c8cf6cd21c350f929440f3f0d1d631/dotnet-sdk-3.0.100-preview9-014004-win-x64.exe'
$checksum64 = 'DFE71B46B5163D0C71C3742C4A00BCF457FC43106C5001B974A6066A82EAE97C84E61AE58E4FEEA9D1B1760330EB4A0E5E18B3AF16BC0C862584D8A1B0C923AF'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = "/install /quiet /norestart /log `"$env:TEMP\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'dotnet-core*'
  checksum      = $checksum
  checksumType  = 'SHA512'
  checksum64    = $checksum64
}

Install-ChocolateyPackage @packageArgs
